      PROGRAM INTELDGESDD

      INTEGER M, N, LWORK
      PARAMETER (M = 1497)
      PARAMETER (N = 1564)
      PARAMETER (LWORK = 6733506)
      CHARACTER JOBZ, TRANSA, TRANSB
      PARAMETER (JOBZ = 'A')
      PARAMETER (TRANSA = 'T')
      PARAMETER (TRANSB = 'N')

      DOUBLE PRECISION A(M,N), U(M,M), VT(N,N), S(M), WORK(LWORK)
      INTEGER INFO, IWORK(8*M)
*     ..
*     .. External Subroutines ..
      EXTERNAL          DGESDD

      OPEN(UNIT=1,FILE='testmatrix')
      READ(1,901) A
901   FORMAT(2X,E23.16)
 
      INFO = 0
      CALL DGESDD(JOBZ, M, N, A, M, S, U, M, VT, N, WORK, 
     $            LWORK, IWORK, INFO)

      PRINT *, "INFO is "
      PRINT *, INFO

      END
